Bug 35406 - New port submission
Summary: New port submission
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-28 15:20 UTC by Ryan T. Dean
Modified: 2002-06-25 15:09 UTC (History)
0 users

See Also:


Attachments
file.shar (3.05 KB, text/plain)
2002-02-28 15:20 UTC, Ryan T. Dean
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan T. Dean 2002-02-28 15:20:01 UTC
New port: Perl class (Unicode::MapUTF8) that implements conversion between arbitrary charsets
Comment 1 Pete Fritchman freebsd_committer 2002-03-26 08:19:10 UTC
State Changed
From-To: open->analyzed

This port seems to need Unicode::Map, but that's not in ports right now.  Do 
you have a port for that?
Comment 2 Ryan T. Dean 2002-04-09 19:05:40 UTC
> This port seems to need Unicode::Map, but that's not in ports right now.
> Do you have a port for that?

I do, it has been submitted (I managed to overlook the synopsis field,
thats what I get for submitted when trying to do other things) and is in
ports/36931.

Also, I have a small patch attached here to add the Unicode::Map port as a
requirement.  Sorry about overlooking that; if theres anything else let me
know.

--- Makefile.old	Tue Apr  9 12:38:08 2002
+++ Makefile	Tue Apr  9 12:37:16 2002
@@ -13,7 +13,8 @@

 MAINTAINER=	rtdean@cytherianage.net

-BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Unicode/String.pm:${PORTSDIR}/converters/p5-Unicode-String \
+BUILD_DEPENDS=	${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Unicode/Map.pm:${PORTSDIR}/converters/p5-Unicode-Map \
+		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Unicode/String.pm:${PORTSDIR}/converters/p5-Unicode-String \
 		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Unicode/Map8.pm:${PORTSDIR}/converters/p5-Unicode-Map8 \
 		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/${PERL_ARCH}/Jcode.pm:${PORTSDIR}/japanese/p5-Jcode
 RUN_DEPENDS=	${BUILD_DEPENDS}
Comment 3 Ying-Chieh Liao freebsd_committer 2002-06-25 15:09:12 UTC
State Changed
From-To: analyzed->closed

committed, thanks